<?php   
/**
 *
 * @package Dcode
 * 
 * @since 1.0.11
 * 
 */
if ( class_exists( 'WooCommerce' ) ) {

    function rdcode_woo_cart_button() {
        ob_start();
        $cart_count = WC()->cart->cart_contents_count; // Set variable for cart item count
        $cart_url   = wc_get_cart_url();  // Set Cart URL

        ?>
        <?php if( ! is_cart() && ! is_checkout() ) : ?>
         <!----woocart---->


         <div class="mini_cart_btn">
                            <a href="#" class="js-menu__open nav-link" data-menu="#main-nav"><i class="<?php echo esc_attr(get_theme_mod('vw_ecommerce_store_cart_icon', 'fas fa-shopping-basket')); ?>"></i><span class="screen-reader-text"><?php esc_html_e('shopping cart', 'dcode'); ?></span></a>
                            <span class="cart-value"> <?php echo wp_kses_data(WC()->cart->get_cart_contents_count()); ?></span>
                        </div>
                        <div class="js-menu__context">
                            <div id="main-nav" class="js-menu js-menu--right">

                                <div class="mini_cart_header">

                                    <span class="js-menu__close">✕</span>
                                    <h4>Your Cart Items</h4>
                                    <div class="mini_cart_header_icon">
                                        <i class="<?php echo esc_attr(get_theme_mod('vw_ecommerce_store_cart_icon', 'fas fa-shopping-basket')); ?>"></i>
                                        <span class="screen-reader-text"><?php esc_html_e('shopping cart', 'dcode'); ?></span>
                                        <span class="cart-value"> <?php echo wp_kses_data(WC()->cart->get_cart_contents_count()); ?></span>
                                    </div>

                                </div>

                                <?php
                                if (class_exists('WooCommerce')) :

                                    the_widget('WC_Widget_Cart', 'title=');
                                else :
                                    echo esc_html__("Woo Plugin Not Insall Or Activate", "dcode");
                                endif;
                                ?>

                            </div>
                        </div>
            <?php else: ?>
            <span class="dcode_mini_cart">
                <a class="menu-item cart-contents" href="<?php echo esc_url( $cart_url ); ?>" title="<?php esc_attr_e( 'View Shopping Cart','dcode' ); ?>">
                    <?php
                        if ( $cart_count > 0 ) {
                        ?>
                            <span class="cart-contents-count"><?php echo esc_html( $cart_count ); ?></span>
                        <?php
                        }
                    ?>
                </a>
                <!--<div class="dcode_mini_cart_items"> -->
                    <?php 
                        if ( class_exists( 'WooCommerce' ) ): 

                            the_widget( 'WC_Widget_Cart', 'title=' ); 

                        endif; 
                    ?>
                <!--</div> -->
            </span>     
        <?php endif; ?> 
        <?php
    }

    add_filter( 'woocommerce_add_to_cart_fragments', 'rdcode_woo_cart_button_count' );
    /**
     * Add AJAX Shortcode when cart contents update
     */
    function rdcode_woo_cart_button_count( $fragments ) {
        ob_start();
        $cart_count = WC()->cart->cart_contents_count;
        $cart_url   = wc_get_cart_url();
        ?>
        <a class="menu-item cart-contents" href="<?php echo esc_url( $cart_url ); ?>" title="<?php esc_attr_e( 'View Shopping Cart','dcode' ); ?>">
        <?php
        if ( $cart_count > 0 ) {
            ?>
            <span class="cart-contents-count"><?php echo esc_html( $cart_count ); ?></span>
            <?php            
        }
            ?></a>
        <?php

        $fragments['a.cart-contents'] = ob_get_clean();
        
        return $fragments;
    }

}